Skip to main content
`Ctrl`+`K`

# PetscDSCopyBounds

Copy lower and upper solution bounds set with `PetscDSSetLowerBound()` and `PetscDSSetLowerBound()` to another `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCopyBounds(PetscDS ds, PetscDS newds)

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## Output Parameter

- newds - The `PetscDS` copy

## See Also

`PetscDS`, `PetscDSCopyBoundary()`, `PetscDSCopyEquations()`, `PetscDSCopyExactSolutions()`, `PetscDSSetResidual()`, `PetscDSSetJacobian()`, `PetscDSSetRiemannSolver()`, `PetscDSSetBdResidual()`, `PetscDSSetBdJacobian()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages